qpid::types::Uuid Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Friends
qpid::types::Uuid Class Reference

`#include <qpid/types/Uuid.h>`

List of all members.

## Public Member Functions
QPID_TYPES_EXTERN | Uuid (bool unique=false)
| If unique is true, this will generate a new unique uuid, if not it will construct a null uuid.
QPID_TYPES_EXTERN | Uuid (const Uuid &)
QPID_TYPES_EXTERN Uuid & | operator= (const Uuid &)
QPID_TYPES_EXTERN | Uuid (const unsigned char *data16)
| Copy the UUID from data16, which must point to a 16-byte UUID.
QPID_TYPES_EXTERN void | generate ()
| Set to a new unique identifier.
QPID_TYPES_EXTERN void | clear ()
| Set to all zeros.
QPID_TYPES_EXTERN bool | isNull () const
| Test for null (all zeros).
QPID_TYPES_EXTERN | operator bool () const
QPID_TYPES_EXTERN bool | operator! () const
QPID_TYPES_EXTERN std::string | str () const
| String value in format 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb.
QPID_TYPES_EXTERN size_t | size () const
QPID_TYPES_EXTERN const unsigned char * | data () const
## Static Public Attributes
static const size_t | SIZE
## Friends
QPID_TYPES_EXTERN bool | operator== (const Uuid &, const Uuid &)
| Returns true if the uuids are equal, false otherwise.
QPID_TYPES_EXTERN bool | operator!= (const Uuid &, const Uuid &)
| Returns true if the uuids are NOT equal, false if they are.
QPID_TYPES_EXTERN bool | operator< (const Uuid &, const Uuid &)
QPID_TYPES_EXTERN bool | operator> (const Uuid &, const Uuid &)
QPID_TYPES_EXTERN bool | operator<= (const Uuid &, const Uuid &)
QPID_TYPES_EXTERN bool | operator>= (const Uuid &, const Uuid &)
QPID_TYPES_EXTERN std::ostream & | operator<< (std::ostream &, Uuid)
| Print in format 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb.
QPID_TYPES_EXTERN std::istream & | operator>> (std::istream &, Uuid &)
| Read from format 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb.

## Constructor & Destructor Documentation

QPID_TYPES_EXTERN qpid::types::Uuid::Uuid | ( | bool | unique = `false` | ) |

If unique is true, this will generate a new unique uuid, if not it will construct a null uuid.

QPID_TYPES_EXTERN qpid::types::Uuid::Uuid | ( | const Uuid & |  | ) |

QPID_TYPES_EXTERN qpid::types::Uuid::Uuid | ( | const unsigned char * | data16 | ) |

Copy the UUID from data16, which must point to a 16-byte UUID.

## Member Function Documentation

QPID_TYPES_EXTERN void qpid::types::Uuid::clear | ( |  | ) |

Set to all zeros.

QPID_TYPES_EXTERN const unsigned char* qpid::types::Uuid::data | ( |  | ) | const

QPID_TYPES_EXTERN void qpid::types::Uuid::generate | ( |  | ) |

Set to a new unique identifier.

QPID_TYPES_EXTERN bool qpid::types::Uuid::isNull | ( |  | ) | const

Test for null (all zeros).

QPID_TYPES_EXTERN qpid::types::Uuid::operator bool | ( |  | ) | const

QPID_TYPES_EXTERN bool qpid::types::Uuid::operator! | ( |  | ) | const

QPID_TYPES_EXTERN Uuid& qpid::types::Uuid::operator= | ( | const Uuid & |  | ) |

QPID_TYPES_EXTERN size_t qpid::types::Uuid::size | ( |  | ) | const

QPID_TYPES_EXTERN std::string qpid::types::Uuid::str | ( |  | ) | const

String value in format 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb.

## Friends And Related Function Documentation

QPID_TYPES_EXTERN bool operator!= | ( | const Uuid & | ,
|  | const Uuid & |
| ) |  | `[friend]`

Returns true if the uuids are NOT equal, false if they are.

QPID_TYPES_EXTERN bool operator< | ( | const Uuid & | ,
|  | const Uuid & |
| ) |  | `[friend]`

QPID_TYPES_EXTERN std::ostream& operator<< | ( | std::ostream & | ,
|  | Uuid |
| ) |  | `[friend]`

Print in format 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb.

QPID_TYPES_EXTERN bool operator<= | ( | const Uuid & | ,
|  | const Uuid & |
| ) |  | `[friend]`

QPID_TYPES_EXTERN bool operator== | ( | const Uuid & | ,
|  | const Uuid & |
| ) |  | `[friend]`

Returns true if the uuids are equal, false otherwise.

QPID_TYPES_EXTERN bool operator> | ( | const Uuid & | ,
|  | const Uuid & |
| ) |  | `[friend]`

QPID_TYPES_EXTERN bool operator>= | ( | const Uuid & | ,
|  | const Uuid & |
| ) |  | `[friend]`

QPID_TYPES_EXTERN std::istream& operator>> | ( | std::istream & | ,
|  | Uuid & |
| ) |  | `[friend]`

Read from format 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb.

## Member Data Documentation

const size_t qpid::types::Uuid::SIZE`[static]`

Definition at line 35 of file Uuid.h.

The documentation for this class was generated from the following file:

- qpid/types/Uuid.h